https://bugs.gentoo.org/754006

https://github.com/obsproject/obs-studio/pull/3335
From: Matt Gajownik <matt@obsproject.com>
Date: Tue, 25 Aug 2020 19:28:26 +1000
Subject: [PATCH] libobs/util: Fix loading Python binary modules on *nix
--- a/libobs/util/platform-nix.c
+++ b/libobs/util/platform-nix.c
@@ -71,7 +71,8 @@ void *os_dlopen(const char *path)
 #ifdef __APPLE__
 	void *res = dlopen(dylib_name.array, RTLD_LAZY | RTLD_FIRST);
 #else
-	void *res = dlopen(dylib_name.array, RTLD_LAZY);
+	void *res = dlopen(dylib_name.array,
+			   RTLD_LAZY | RTLD_DEEPBIND | RTLD_GLOBAL);
 #endif
 	if (!res)
 		blog(LOG_ERROR, "os_dlopen(%s->%s): %s\n", path,
